\begin{table}[h!]
	\centering
	\caption{VLAN table entry data set.}
	\vspace{1mm}
	\label{t:vtab-entry}
	\begin{tabular}{||m{0.25\textwidth}|
			>{\centering\arraybackslash}m{0.05\textwidth}|
			m{0.6\textwidth}||} 
		\hline
		\textbf{name} & \textbf{bits} & \textbf{description} \\ \hline\hline
		
		\texttt{drop}           &  1 & if 1, drop frames that belong the~VLAN \\ \hline
		\texttt{has\_prio}      &  1 & validates \texttt{prio\_override} and \texttt{prio} \\ \hline
		\texttt{prio\_override} &  1 & if 1, override priority of frames that belong to the~VLAN with \texttt{prio} \\ \hline
		\texttt{prio}           &  3 & VLAN-assigned priority \\ \hline
		\texttt{fid}            &  8 & Filtering ID (identifier of VLAN group to which the~VLAN belongs to)\\ \hline
		\texttt{port\_mask}     & 24 & mask describing which physical ports belong to the VLAN (bit set to 1 indicates that the port belongs to the VLAN) \\ \hline
		\texttt{rsvd}           &  2 & reserved for future use \\ \hline
	\end{tabular}
\end{table}

\begin{table}
	\centering
	\caption{HASH table entry data set.}
	\vspace{1mm}
	\label{t:htab-entry}
	\begin{tabular}{||m{0.25\textwidth}|
		>{\centering\arraybackslash}m{0.05\textwidth}|
		m{0.6\textwidth}||} 
		\hline
		\textbf{name} & \textbf{bits} & \textbf{description} \\ \hline\hline
		\texttt{fid}  &  8 & Filtering ID \\ \hline
		\texttt{mac}  & 48 & MAC address \\ \hline
		\texttt{ptr}  & 14 & pointer \\ \hline 
		\texttt{rsvd} &  2 & reserved for future use \\ \hline
	\end{tabular}
\end{table}

\vspace{10cm}
\newpage

\begin{table}
	\centering
	\caption{MAC table entry data set.}
	\vspace{1mm}
	\label{t:mtab-entry}
	\begin{tabular}{||m{0.25\textwidth}|
			>{\centering\arraybackslash}m{0.05\textwidth}|
			m{0.6\textwidth}||} 
		\hline
		\textbf{name} & \textbf{bits} & \textbf{description} \\ \hline\hline
		\texttt{fid}                         &  8 & Filtering ID \\ \hline
		\texttt{mac}                         & 48 & MAC address \\ \hline
		\texttt{port\_mask\_src}             & 24 & port mask for source MAC address (bit set to 1 indicates that frame with source MAC address matching MAC address of this entry can be forwarded from that port) \\ \hline
		\texttt{port\_mask\_dst}             & 24 & port mask for destination MAC address (bit set to 1 indicates that frame with destination MAC address matching MAC address of this entry can be forwarded to that port) \\ \hline
		\texttt{drop\_when\_src}             &  1 & if 1, drop frame if source MAC address matches MAC of this entry \\ \hline
		\texttt{drop\_when\_dst}             &  1 & if 1, drop frame if destination MAC address matches MAC of this entry \\ \hline
		\texttt{drop\_unmatched\_src}        &  1 & if 1, drop frame if it comes from port that does not belong to \texttt{port\_mask\_src} \\ \hline
		\texttt{has\_prio\_src}              &  1 & validates \texttt{prio\_override\_src} and \texttt{prio\_src} \\ \hline
		\texttt{prio\_override\_src}         &  1 & if 1, override frame's priority with \texttt{prio\_src} if its source MAC address matches MAC of this entry \\ \hline
		\texttt{prio\_src}                   &  3 & priority of the frame \\ \hline
		\texttt{has\_prio\_dst}              &  1 & validates \texttt{prio\_override\_dst} and \texttt{prio\_dst} \\ \hline
		\texttt{prio\_override\_dst}         &  1 & if 1, override frame's priority with \texttt{prio\_dst} if its destination MAC address matches MAC of this entry \\ \hline
		\texttt{prio\_dst}                   &  3 & priority of the frame \\ \hline
		\texttt{is\_link\_local}             &  1 & if 1, accept frame even if the port is disabled in forwarding engine configuration \\ \hline
		\texttt{rsvd}                        &  2 & reserved for future use \\ \hline
	\end{tabular}
\end{table}